PLplot: GcwPLdev Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
GcwPLdev Struct Reference

`#include "gcw.h"`

## Public Attributes
GnomeCanvas * | canvas
GdkPixmap * | background
GdkGC * | gc
GnomeCanvasGroup * | group_visible
GnomeCanvasGroup * | group_hidden
GnomeCanvasGroup * | group_persistent
gboolean | use_persistence
GtkWidget * | window
GtkWidget * | notebook
GtkWidget * | statusbar
GtkWidget * | filew
guint32 | color
GdkColor | bgcolor
GdkColormap * | colormap
PLINT | width
PLINT | height
PLINT | pen_color
PLINT | pen_width
gboolean | use_pixmap
gboolean | pixmap_has_data
gboolean | plstate_width
gboolean | plstate_color0
gboolean | plstate_color1
gboolean | allow_resize

## Detailed Description

Definition at line 51 of file gcw.h.

## Member Data Documentation

gboolean GcwPLdev::allow_resize

Definition at line 88 of file gcw.h.

GdkPixmap* GcwPLdev::background

Definition at line 54 of file gcw.h.

GdkColor GcwPLdev::bgcolor

Definition at line 72 of file gcw.h.

GnomeCanvas* GcwPLdev::canvas

Definition at line 53 of file gcw.h.

guint32 GcwPLdev::color

Definition at line 71 of file gcw.h.

GdkColormap* GcwPLdev::colormap

Definition at line 73 of file gcw.h.

GtkWidget* GcwPLdev::filew

Definition at line 69 of file gcw.h.

GdkGC* GcwPLdev::gc

Definition at line 55 of file gcw.h.

GnomeCanvasGroup* GcwPLdev::group_hidden

Definition at line 58 of file gcw.h.

GnomeCanvasGroup* GcwPLdev::group_persistent

Definition at line 59 of file gcw.h.

GnomeCanvasGroup* GcwPLdev::group_visible

Definition at line 57 of file gcw.h.

PLINT GcwPLdev::height

Definition at line 76 of file gcw.h.

GtkWidget* GcwPLdev::notebook

Definition at line 67 of file gcw.h.

PLINT GcwPLdev::pen_color

Definition at line 78 of file gcw.h.

PLINT GcwPLdev::pen_width

Definition at line 79 of file gcw.h.

gboolean GcwPLdev::pixmap_has_data

Definition at line 82 of file gcw.h.

gboolean GcwPLdev::plstate_color0

Definition at line 85 of file gcw.h.

gboolean GcwPLdev::plstate_color1

Definition at line 86 of file gcw.h.

gboolean GcwPLdev::plstate_width

Definition at line 84 of file gcw.h.

GtkWidget* GcwPLdev::statusbar

Definition at line 68 of file gcw.h.

gboolean GcwPLdev::use_persistence

Definition at line 61 of file gcw.h.

gboolean GcwPLdev::use_pixmap

Definition at line 81 of file gcw.h.

PLINT GcwPLdev::width

Definition at line 75 of file gcw.h.

GtkWidget* GcwPLdev::window

Definition at line 66 of file gcw.h.

The documentation for this struct was generated from the following file:

- gcw.h